| LibDriver GT30L32S4W 1.0.0 GT30L32S4W full function driver

Macros | Enumerations | Functions
gt30l32s4w example driver function
gt30l32s4w driver function

gt30l32s4w example driver modules More...

## Macros
#define | GT30L32S4W_BASIC_DEFAULT_MODE GT30L32S4W_MODE_READ
| gt30l32s4w basic example default definition More...

## Enumerations
enum | gt30l32s4w_basic_type_t { GT30L32S4W_BASIC_TYPE_ARIAL = 0x00 , GT30L32S4W_BASIC_TYPE_TIMES = 0x01 }
| gt30l32s4w basic type enumeration definition More...

## Functions
uint8_t | gt30l32s4w_basic_init (void)
| basic example init More...
uint8_t | gt30l32s4w_basic_deinit (void)
| basic example deinit More...
uint8_t | gt30l32s4w_basic_print_pattern (gt30l32s4w_type_t type, uint8_t *buf, uint8_t len)
| basic example print pattern More...
uint8_t | gt30l32s4w_basic_read_12 (uint16_t ch, uint8_t buf[24], uint8_t *len)
| basic example read 12 More...
uint8_t | gt30l32s4w_basic_read_16 (uint16_t ch, uint8_t buf[32], uint8_t *len)
| basic example read 16 More...
uint8_t | gt30l32s4w_basic_read_24 (uint16_t ch, uint8_t buf[72], uint8_t *len)
| basic example read 24 More...
uint8_t | gt30l32s4w_basic_read_32 (uint16_t ch, uint8_t buf[128], uint8_t *len)
| basic example read 32 More...
uint8_t | gt30l32s4w_basic_read_ascii_7 (uint16_t ch, uint8_t buf[8])
| read ascii 7 More...
uint8_t | gt30l32s4w_basic_read_ascii_8 (uint16_t ch, uint8_t buf[8])
| read ascii 8 More...
uint8_t | gt30l32s4w_basic_read_ascii_12_with_length (gt30l32s4w_basic_type_t type, uint16_t ch, uint8_t buf[26])
| read ascii 12 with length More...
uint8_t | gt30l32s4w_basic_read_ascii_16_with_length (gt30l32s4w_basic_type_t type, uint16_t ch, uint8_t buf[34])
| read ascii 16 with length More...
uint8_t | gt30l32s4w_basic_read_ascii_24_with_length (gt30l32s4w_basic_type_t type, uint16_t ch, uint8_t buf[74])
| read ascii 24 with length More...
uint8_t | gt30l32s4w_basic_read_ascii_32_with_length (gt30l32s4w_basic_type_t type, uint16_t ch, uint8_t buf[130])
| read ascii 32 with length More...

## Detailed Description

gt30l32s4w example driver modules

## Macro Definition Documentation

## ◆ GT30L32S4W_BASIC_DEFAULT_MODE

#define GT30L32S4W_BASIC_DEFAULT_MODE GT30L32S4W_MODE_READ

gt30l32s4w basic example default definition

normal mode

Definition at line 56 of file driver_gt30l32s4w_basic.h.

## Enumeration Type Documentation

## ◆ gt30l32s4w_basic_type_t

enum gt30l32s4w_basic_type_t

gt30l32s4w basic type enumeration definition

Enumerator
GT30L32S4W_BASIC_TYPE_ARIAL | arial type
GT30L32S4W_BASIC_TYPE_TIMES | times type

Definition at line 61 of file driver_gt30l32s4w_basic.h.

## Function Documentation

## ◆ gt30l32s4w_basic_deinit()

uint8_t gt30l32s4w_basic_deinit | ( | void |  | ) |

basic example deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 89 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_init()

uint8_t gt30l32s4w_basic_init | ( | void |  | ) |

basic example init

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 48 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_print_pattern()

uint8_t gt30l32s4w_basic_print_pattern | ( | gt30l32s4w_type_t | type,
|  | uint8_t * | buf,
|  | uint8_t | len
| ) |  |

basic example print pattern

Parameters

  [in] | type | pattern type
  [in] | *buf | pointer to an input buffer
  [in] | len | buffer length

Returns
  status code
  - 0 success
  - 1 print pattern failed

Note
  none

Definition at line 110 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_12()

uint8_t gt30l32s4w_basic_read_12 | ( | uint16_t | ch,
|  | uint8_t | buf[24],
|  | uint8_t * | len
| ) |  |

basic example read 12

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer
  [out] | *len | pointer to a length buffer

Returns
  status code
  - 0 success
  - 1 read 12 failed

Note
  none

Definition at line 131 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_16()

uint8_t gt30l32s4w_basic_read_16 | ( | uint16_t | ch,
|  | uint8_t | buf[32],
|  | uint8_t * | len
| ) |  |

basic example read 16

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer
  [out] | *len | pointer to a length buffer

Returns
  status code
  - 0 success
  - 1 read 16 failed

Note
  none

Definition at line 191 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_24()

uint8_t gt30l32s4w_basic_read_24 | ( | uint16_t | ch,
|  | uint8_t | buf[72],
|  | uint8_t * | len
| ) |  |

basic example read 24

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer
  [out] | *len | pointer to a length buffer

Returns
  status code
  - 0 success
  - 1 read 24 failed

Note
  none

Definition at line 262 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_32()

uint8_t gt30l32s4w_basic_read_32 | ( | uint16_t | ch,
|  | uint8_t | buf[128],
|  | uint8_t * | len
| ) |  |

basic example read 32

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer
  [out] | *len | pointer to a length buffer

Returns
  status code
  - 0 success
  - 1 read 32 failed

Note
  none

Definition at line 322 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_12_with_length()

uint8_t gt30l32s4w_basic_read_ascii_12_with_length | ( | gt30l32s4w_basic_type_t | type,
|  | uint16_t | ch,
|  | uint8_t | buf[26]
| ) |  |

read ascii 12 with length

Parameters

  [in] | type | output type
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 12 with length failed

Note
  none

Definition at line 422 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_16_with_length()

uint8_t gt30l32s4w_basic_read_ascii_16_with_length | ( | gt30l32s4w_basic_type_t | type,
|  | uint16_t | ch,
|  | uint8_t | buf[34]
| ) |  |

read ascii 16 with length

Parameters

  [in] | type | output type
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 16 with length failed

Note
  none

Definition at line 456 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_24_with_length()

uint8_t gt30l32s4w_basic_read_ascii_24_with_length | ( | gt30l32s4w_basic_type_t | type,
|  | uint16_t | ch,
|  | uint8_t | buf[74]
| ) |  |

read ascii 24 with length

Parameters

  [in] | type | output type
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 24 with length failed

Note
  none

Definition at line 490 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_32_with_length()

uint8_t gt30l32s4w_basic_read_ascii_32_with_length | ( | gt30l32s4w_basic_type_t | type,
|  | uint16_t | ch,
|  | uint8_t | buf[130]
| ) |  |

read ascii 32 with length

Parameters

  [in] | type | output type
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 32 with length failed

Note
  none

Definition at line 524 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_7()

uint8_t gt30l32s4w_basic_read_ascii_7 | ( | uint16_t | ch,
|  | uint8_t | buf[8]
| ) |  |

read ascii 7

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 7 failed

Note
  none

Definition at line 381 of file driver_gt30l32s4w_basic.c.

## ◆ gt30l32s4w_basic_read_ascii_8()

uint8_t gt30l32s4w_basic_read_ascii_8 | ( | uint16_t | ch,
|  | uint8_t | buf[8]
| ) |  |

read ascii 8

Parameters

  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 8 failed

Note
  none

Definition at line 401 of file driver_gt30l32s4w_basic.c.